<?php
global $site;
$rezgoPage = sanitize_text_field($_REQUEST['mode']);

$safe_modes = array('index', 'page_details', 'page_order', 'page_book', 'page_review', 'booking_payment', 'waiver', 'return_trip', 'booking_edit', 'booking_thank_you', 'booking_itinerary', 'booking_itinerary_print', 'booking_complete', 'booking_complete_pdf', 'booking_complete_print', 'page_privacy', 'booking_voucher', 'booking_tickets', 'page_terms', 'page_booking_edit_terms', 'page_contact', 'page_about',  'page_waiver', 'gift_card', 'gift_card_details', 'gift_card_receipt', 'gift_card_print', 'gift_card_not_found', 'modal', '3DS', '3ds_return_url', 'log');

if (!in_array($rezgoPage, $safe_modes)) {
	$rezgoPage = 'index';
}

include_once(dirname(__FILE__) . DIRECTORY_SEPARATOR . $rezgoPage . '.php');